Package Details: amdvlk-2021q2.5 2021.Q2.5-1

Git Clone URL: https://aur.archlinux.org/amdvlk-2021q2.5.git (read-only, click to copy)
Package Base: amdvlk-2021q2.5
Description: AMD's standalone Vulkan driver for pre-Raven (GCN 5.0 APU) and pre-Polaris (GCN 4.0) GPUs.
Upstream URL: https://github.com/GPUOpen-Drivers
Licenses: MIT
Conflicts: amdvlk
Provides: vulkan-driver
Submitter: luka-devnull
Maintainer: luka-devnull
Last Packager: luka-devnull
Votes: 1
Popularity: 0.000028
First Submitted: 2021-08-29 19:52 (UTC)
Last Updated: 2021-08-29 20:15 (UTC)

Required by (39)

Sources (1)

Pinned Comments

luka-devnull commented on 2021-08-29 19:59 (UTC) (edited on 2021-08-29 20:12 (UTC) by luka-devnull)

Hi! If you're like me and have a pre-Raven (GCN 5.0 APU) or pre-Polaris (GCN 4.0) GPU then you're likely wondering why your Vulkan suddenly stopped working during a system upgrade in the past 6 weeks. Well, AMD saw fit to stop maintaining support for us in AMDVLK. Isn't that great? >.>

Anyway, I pulled the PKGBUILD from the ABS for the 2021.Q2.5 version, verified it still built and uploaded it here for all of us with older GPUs and APUs. Enjoy!

If there's any issue in the build, let me know and I'll try to fix it somehow.

NOTE: if you try to build the package and cancel it halfway through, you'll have to nuke the src directory and go again. That's a thing.

Latest Comments

micwoj92 commented on 2023-02-02 19:16 (UTC)

This should be done in PKGBUILD.

HolyKrapp commented on 2023-02-02 14:08 (UTC) (edited on 2023-02-02 14:12 (UTC) by HolyKrapp)

For anyone having problems compiling, the error clearly states the solution:


  /build/amdvlk-2021q2.5/src/pal/src/util/lnx/lnxUuid.cpp:32:1: note: ‘mktime’ is defined in header ‘<ctime>’; did you forget to ‘#include <ctime>’?
   31 | #include <random>
  +++ |+#include <ctime>
   32 | #include <unistd.h>

This can be done in another terminal, after ninja finishes getting all the files in their respective subdirs and when ninja starts compiling:

sed -i '31 a #include <ctime>' ~/.cache/yay/amdvlk-2021q2.5/src/pal/src/util/lnx/lnxUuid.cpp

micwoj92 commented on 2022-12-12 23:56 (UTC)

Build fails for me

[2238/2365] Building CXX object pal/CMakeFiles/pal.dir/src/util/lnx/lnxUuid.cpp.o
FAILED: pal/CMakeFiles/pal.dir/src/util/lnx/lnxUuid.cpp.o 
/usr/bin/c++ -D _SILENCE_CXX17_ITERATOR_BASE_CLASS_DEPRECATION_WARNING -DAMD_TARGET_ARCH_BITS=64 -DCHIP_HDR_NAVI12=1 -DCHIP_HDR_NAVI14=1 -DCHIP_HDR_NAVI21=1 -DCHIP_HDR_NAVI22=1 -DDD_PLATFORM_IS_GNU=1 -DDD_PLATFORM_IS_POSIX=1 -DDD_PLATFORM_IS_UM=1 -DDD_PLATFORM_LINUX_UM=1 -DDD_PLATFORM_STRING="\"Linux User Mode\"" -DDD_SHORT_FILE="(__FILE__+31)" -DGPUOPEN_CLIENT_INTERFACE_MAJOR_VERSION=42 -DLITTLEENDIAN_CPU=1 -DPAL_AMDGPU_BUILD=1 -DPAL_BUILD_CORE=1 -DPAL_BUILD_DBG_OVERLAY=1 -DPAL_BUILD_GFX103=1 -DPAL_BUILD_GFX10=1 -DPAL_BUILD_GFX6=1 -DPAL_BUILD_GFX9=1 -DPAL_BUILD_GFX=1 -DPAL_BUILD_GPUUTIL=1 -DPAL_BUILD_GPU_PROFILER=1 -DPAL_BUILD_LAYERS=1 -DPAL_BUILD_NAVI12=1 -DPAL_BUILD_NAVI14=1 -DPAL_BUILD_NAVI21=1 -DPAL_BUILD_NAVI22=1 -DPAL_BUILD_NAVI2X=1 -DPAL_BUILD_NULL_DEVICE=1 -DPAL_BUILD_OSS1=1 -DPAL_BUILD_OSS2=1 -DPAL_BUILD_OSS2_4=1 -DPAL_BUILD_OSS4=1 -DPAL_BUILD_OSS=1 -DPAL_CLIENT_INTERFACE_MAJOR_VERSION=667 -DPAL_CLIENT_VULKAN=1 -DPAL_COMPILE_TYPE=64 -DPAL_DISPLAY_DCC=1 -DPAL_HAVE_DRI3_PLATFORM=1 -DPAL_HAVE_WAYLAND_PLATFORM=1 -I/build/amdvlk-2021q2.5/src/pal/inc/. -I/build/amdvlk-2021q2.5/src/pal/inc/core -I/build/amdvlk-2021q2.5/src/pal/inc/gpuUtil -I/build/amdvlk-2021q2.5/src/pal/inc/util -I/build/amdvlk-2021q2.5/src/pal/res/. -I/build/amdvlk-2021q2.5/src/pal/src/. -I/xfree86/1.19_64a/include -I/xfree86/1.19_64a/include/linux -I/xcb/1.13_64a/include -I/build/amdvlk-2021q2.5/src/pal/src/core/os/amdgpu/include/2d -I/build/amdvlk-2021q2.5/src/pal/src/core/os/amdgpu/include/drm -I/build/amdvlk-2021q2.5/src/drivers/inc/shared -I/build/amdvlk-2021q2.5/src/pal/src/core -I/build/amdvlk-2021q2.5/src/pal/src/core/os/amdgpu/dri3 -I/build/amdvlk-2021q2.5/src/pal/src/core/os/amdgpu/wayland -I/build/amdvlk-2021q2.5/src/pal/shared/inc/. -I/build/amdvlk-2021q2.5/src/pal/src/core/imported/addrlib/inc -I/build/amdvlk-2021q2.5/src/pal/src/core/imported/vam/inc -I/build/amdvlk-2021q2.5/src/third_party/metrohash/src -I/build/amdvlk-2021q2.5/src/third_party/cwpack/src -I/build/amdvlk-2021q2.5/src/pal/shared/gpuopen/inc -I/build/amdvlk-2021q2.5/src/pal/shared/gpuopen/core/../inc -I/build/amdvlk-2021q2.5/src/pal/shared/gpuopen/third_party/rapidjson/include -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS -O3 -DNDEBUG -fPIC   -flto -fuse-linker-plugin -Wno-odr -fPIC -Wno-unused -Wno-ignored-qualifiers -Wno-missing-field-initializers -Wno-comment -Wno-error=comment -Wno-pointer-arith -Wno-error=pointer-arith -fms-extensions -Wno-tautological-compare -Wno-sizeof-array-div -fno-exceptions -fno-strict-aliasing -fcheck-new -fno-rtti -mpreferred-stack-boundary=6 -std=c++11 -MD -MT pal/CMakeFiles/pal.dir/src/util/lnx/lnxUuid.cpp.o -MF pal/CMakeFiles/pal.dir/src/util/lnx/lnxUuid.cpp.o.d -o pal/CMakeFiles/pal.dir/src/util/lnx/lnxUuid.cpp.o -c /build/amdvlk-2021q2.5/src/pal/src/util/lnx/lnxUuid.cpp
/build/amdvlk-2021q2.5/src/pal/src/util/lnx/lnxUuid.cpp: In function ‘Util::uint64 Util::Uuid::Os::GetFixedTimePoint()’:
/build/amdvlk-2021q2.5/src/pal/src/util/lnx/lnxUuid.cpp:68:8: error: variable ‘tm FixedPoint’ has initializer but incomplete type
   68 |     tm FixedPoint = {0, 0, 0, 1, 2, 2021};
      |        ^~~~~~~~~~
/build/amdvlk-2021q2.5/src/pal/src/util/lnx/lnxUuid.cpp:69:31: error: ‘mktime’ was not declared in this scope
   69 |     const time_t fixedTimeT = mktime(&FixedPoint);
      |                               ^~~~~~
/build/amdvlk-2021q2.5/src/pal/src/util/lnx/lnxUuid.cpp:32:1: note: ‘mktime’ is defined in header ‘<ctime>’; did you forget to ‘#include <ctime>’?
   31 | #include <random>
  +++ |+#include <ctime>
   32 | #include <unistd.h>
/build/amdvlk-2021q2.5/src/pal/src/util/lnx/lnxUuid.cpp: In function ‘uint32_t Util::Uuid::Os::GetSequenceStart()’:
/build/amdvlk-2021q2.5/src/pal/src/util/lnx/lnxUuid.cpp:80:47: error: ‘CLOCK_MONOTONIC’ was not declared in this scope
   80 |     bool clockGettimeSuccess = (clock_gettime(CLOCK_MONOTONIC, &time) == 0);
      |                                               ^~~~~~~~~~~~~~~
/build/amdvlk-2021q2.5/src/pal/src/util/lnx/lnxUuid.cpp:80:33: error: ‘clock_gettime’ was not declared in this scope
   80 |     bool clockGettimeSuccess = (clock_gettime(CLOCK_MONOTONIC, &time) == 0);
      |                                 ^~~~~~~~~~~~~
/build/amdvlk-2021q2.5/src/pal/src/util/lnx/lnxUuid.cpp: In function ‘Util::Uuid::Timestamp Util::Uuid::Os::GetCurrentTimestamp()’:
/build/amdvlk-2021q2.5/src/pal/src/util/lnx/lnxUuid.cpp:90:47: error: ‘CLOCK_REALTIME’ was not declared in this scope
   90 |     bool clockGettimeSuccess = (clock_gettime(CLOCK_REALTIME, &time) == 0);
      |                                               ^~~~~~~~~~~~~~
/build/amdvlk-2021q2.5/src/pal/src/util/lnx/lnxUuid.cpp:90:33: error: ‘clock_gettime’ was not declared in this scope
   90 |     bool clockGettimeSuccess = (clock_gettime(CLOCK_REALTIME, &time) == 0);
      |                                 ^~~~~~~~~~~~~
[2239/2365] Building CXX object pal/vam/CMakeFiles/vam.dir/src/core/vamrange.cpp.o
[2240/2365] Building CXX object pal/addrlib/CMakeFiles/addrlib.dir/src/gfx9/gfx9addrlib.cpp.o
[2241/2365] Building CXX object pal/shared/gpuopen/CMakeFiles/devdriver.dir/src/baseProtocolServer.cpp.o
[2242/2365] Building CXX object pal/shared/gpuopen/CMakeFiles/devdriver.dir/src/legacyProtocolClient.cpp.o
[2243/2365] Building CXX object pal/vam/CMakeFiles/vam.dir/src/core/vamdevice.cpp.o
[2244/2365] Building CXX object pal/shared/gpuopen/CMakeFiles/devdriver.dir/src/session.cpp.o
[2245/2365] Building CXX object pal/addrlib/CMakeFiles/addrlib.dir/src/gfx10/gfx10addrlib.cpp.o
[2246/2365] Building CXX object pal/shared/gpuopen/CMakeFiles/devdriver.dir/src/messageChannel.cpp.o
[2247/2365] Building CXX object pal/shared/gpuopen/CMakeFiles/devdriver.dir/src/sessionManager.cpp.o
ninja: build stopped: subcommand failed.
==> ERROR: A failure occurred in build().
    Aborting...

GizmoTheGreen commented on 2022-08-02 15:06 (UTC) (edited on 2022-08-02 16:26 (UTC) by GizmoTheGreen)

errors with ==> Starting prepare()... /var/cache/private/pamac/amdvlk-2021q2.5/PKGBUILD: line 22: xpath: command not found ==> Starting build()... /var/cache/private/pamac/amdvlk-2021q2.5/PKGBUILD: line 38: cd: /var/cache/private/pamac/amdvlk-2021q2.5/src/spvgen/external: No such file or directory ==> ERROR: A failure occurred in build(). Aborting... I'm on manjaro if that matters.

edit: probably. it errors when running with pamac manually git:ing the pkgbuild and running makepkg -s works a treat it seems. my bad. letting this be here for future ref, so other idiots like me can find it with google :P

quimkaos commented on 2021-12-28 13:51 (UTC)

so this is for GCN3 cards (R9 cards), since GCN4 APUs were only made for Xbox and PS4?

luka-devnull commented on 2021-08-29 19:59 (UTC) (edited on 2021-08-29 20:12 (UTC) by luka-devnull)

Hi! If you're like me and have a pre-Raven (GCN 5.0 APU) or pre-Polaris (GCN 4.0) GPU then you're likely wondering why your Vulkan suddenly stopped working during a system upgrade in the past 6 weeks. Well, AMD saw fit to stop maintaining support for us in AMDVLK. Isn't that great? >.>

Anyway, I pulled the PKGBUILD from the ABS for the 2021.Q2.5 version, verified it still built and uploaded it here for all of us with older GPUs and APUs. Enjoy!

If there's any issue in the build, let me know and I'll try to fix it somehow.

NOTE: if you try to build the package and cancel it halfway through, you'll have to nuke the src directory and go again. That's a thing.